%define name	wordnet
%define Name	WordNet
%define version	2.0
%define release	%mkrel 5
%define major	2.0
%define libname	%mklibname %{name} %{major}

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	A lexical database for the english language
Group:		Sciences/Other
License:	GPL
URL:		http://www.cogsci.princeton.edu/~wn/
Source0:	ftp://ftp.cogsci.princeton.edu/pub/wordnet/%{version}/%{Name}-%{version}.tar.bz2
Source1:	%{name}-%{version}.autotools.tar.bz2
Patch:		%{name}-2.0.path.patch.bz2
Requires:       %{libname} = %{version}
BuildRequires:	automake1.8
BuildRequires:	tcl
BuildRequires:	tk
BuildRequires:	XFree86-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}

%description
WordNet is an online lexical reference system whose design is inspired by
current psycholinguistic theories of human lexical memory. English nouns,
verbs, adjectives and adverbs are organized into synonym sets, each
representing one underlying lexical concept. Different relations link the
synonym sets.

%package -n %{libname}
Summary:        Main library for %{name}
Group:          System/Libraries
Provides:       lib%{name} = %{version}-%{release}

%description -n %{libname}
This package contains the library needed to run %{name}.

%package -n %{libname}-devel
Summary:        Development header files for %{name}
Group:          Development/C
Requires:       %{libname} = %{version}
Provides:       lib%{name}-devel = %{version}-%{release}

%description -n %{libname}-devel
Libraries, include files and other resources you can use to develop

%prep
%setup -q -n %{Name}-%{version}
%setup -q -n %{Name}-%{version} -T -D -a 1
%patch
find doc -name Makefile -exec rm -f {} \;

perl  -pi -e 's!-L/usr/X11R6/lib!-L/usr/X11R6/%_lib!' src/wnb/Makefile.am

%build
aclocal-1.8
autoconf-2.5x
libtoolize --force
automake-1.8 -a --foreign
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall
chmod 644 %{buildroot}%{_libdir}/libwn.la

%clean
rm -rf %{buildroot}

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc CHANGES FAQ.html INSTALL LICENSE README* doc
%{_bindir}/*
%{_datadir}/%{name}
%{_mandir}/*/*

%files -n %libname
%defattr(-,root,root)
%{_libdir}/libwn-%{version}.so

%files -n %libname-devel
%defattr(-,root,root)
%{_libdir}/libwn.so
%{_libdir}/libwn.a
%{_libdir}/libwn.la
%{_includedir}/*

%changelog
* Thu Jun 23 2005 Guillaume Rousse <guillomovitch@mandriva.org> 2.0-5mdk 
- spec cleanup
- drop release on requires
- fix libtool file perms

* Tue May 24 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.0-4mdk
- add BuildRequires: automake1.8 tcl tk XFree86-devel

* Fri May 20 2005 Olivier Thauvin <nanardon@mandriva.org> 2.0-3mdk
- fix build on amd64 (aka libtoolize --force + fix -L X11 path)

* Thu Aug 05 2004 Guillaume Rousse <guillomovitch@mandrake.org> 2.0-2mdk 
- fixed group
- stronger interdependency
- fixed major

* Wed Aug 04 2004 Guillaume Rousse <guillomovitch@mandrake.org> 2.0-1mdk 
- first mdk package
